Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.util
Interface LoggingOutput

All Known Implementing Classes:
  CommonsLoggingOutput, ServletLoggingOutput

    public interface LoggingOutput

We don't want to force users to use commons-logging, but there are no logging APIs available at 1.3 so this lets us use Servlet.log if commons-logging is not available.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary
`static int` | `LEVEL_DEBUG` Testing information.
`static int` | `LEVEL_ERROR` Something has gone wrong with the current request.
`static int` | `LEVEL_FATAL` Something has gone very badly wrong.
`static int` | `LEVEL_INFO` An event happened that we might need to keep track of.
`static int` | `LEVEL_WARN` Something has gone wrong, but it could well be the users fault.

Method Summary
`void` | `debug(java.lang.String message)` Logger a debug message
`void` | `error(java.lang.String message)` Logger an error message
`void` | `error(java.lang.String message, java.lang.Throwable th)` Logger an error message
`void` | `fatal(java.lang.String message)` Logger a fatal error message
`void` | `fatal(java.lang.String message, java.lang.Throwable th)` Logger a fatal error message
`void` | `info(java.lang.String message)` Logger an info message
`boolean` | `isDebugEnabled()` Save CPU time when we are not debugging
`void` | `warn(java.lang.String message)` Logger a warning message
`void` | `warn(java.lang.String message, java.lang.Throwable th)` Logger a warning message

Field Detail

### LEVEL_FATAL

    static final int LEVEL_FATAL

  Something has gone very badly wrong. Processing is likely to stop.

  See Also:
    Constant Field Values

### LEVEL_ERROR

    static final int LEVEL_ERROR

  Something has gone wrong with the current request. The user will notice that we've broken something.

  See Also:
    Constant Field Values

### LEVEL_WARN

    static final int LEVEL_WARN

  Something has gone wrong, but it could well be the users fault. No need to panic yet.

  See Also:
    Constant Field Values

### LEVEL_INFO

    static final int LEVEL_INFO

  An event happened that we might need to keep track of.

  See Also:
    Constant Field Values

### LEVEL_DEBUG

    static final int LEVEL_DEBUG

  Testing information.

  See Also:
    Constant Field Values

Method Detail

### debug

    void debug(java.lang.String message)

  Logger a debug message

  Parameters:
    `message` - The text to log

### info

    void info(java.lang.String message)

  Logger an info message

  Parameters:
    `message` - The text to log

### warn

    void warn(java.lang.String message)

  Logger a warning message

  Parameters:
    `message` - The text to log

### warn

    void warn(java.lang.String message,
              java.lang.Throwable th)

  Logger a warning message

  Parameters:
    `message` - The text to log
    `th` - An optional stack trace

### error

    void error(java.lang.String message)

  Logger an error message

  Parameters:
    `message` - The text to log

### error

    void error(java.lang.String message,
               java.lang.Throwable th)

  Logger an error message

  Parameters:
    `message` - The text to log
    `th` - An optional stack trace

### fatal

    void fatal(java.lang.String message)

  Logger a fatal error message

  Parameters:
    `message` - The text to log

### fatal

    void fatal(java.lang.String message,
               java.lang.Throwable th)

  Logger a fatal error message

  Parameters:
    `message` - The text to log
    `th` - An optional stack trace

### isDebugEnabled

    boolean isDebugEnabled()

  Save CPU time when we are not debugging

  Returns:
    true if debugging is enabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD